package com.Domain;

import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

@ToString
@Builder
@Getter
@Setter
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Context {

    public Context() {
    }

    public Context(String username, String password, Boolean enabled, String context) {
        this.username = username;
        this.password = password;
        this.enabled = enabled;
        this.context = context;
    }

    private String username;
    private String password;
    private Boolean enabled;
    private String context;


}